<?php
/**
 * Createing a contact us page pannel for customizer
 *
 */

// CREATING A SECTION IN CUSTOMIZER
$wp_customize->add_section(
	'luzuk_premium_contactus_section',
	array(
		'title' => __( 'Contact Us Page', 'Luzuk' ),
        // 'panel' => 'luzuk_premium_home_panel'
		'priority' =>20
	)
);

$wp_customize->add_setting('luzuk_contactus_address_lbl', array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
	new luzuk_Customize_Heading($wp_customize, 'luzuk_contactus_address_lbl',
		array(
			'settings'      => 'luzuk_contactus_address_lbl',
			'section'       => 'luzuk_premium_contactus_section',
			'label'         => __( 'Contact Us Address', 'Luzuk' ),
		)
	)
);

$section = 'luzuk_premium_contactus_section';


$wp_customize->add_setting(
	'luzuk_contactus_phhone',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Phone', 'Luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_phhone',
	array(
		'settings'      => 'luzuk_contactus_phhone',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Phone Label.', 'Luzuk Premium' )
	)
);
lzAddElement($wp_customize, 'luzuk_contactus_phone', $section, 'text', $label="Contact Us Phone", 'luzuk_sanitize_text', '+1 565 565 656565');


lzAddElement($wp_customize, 'luzuk_contactus_phone1', $section, 'text', $label="Contact Us another Phone no.", 'luzuk_sanitize_text', '+1 888 888 8888');


// contact us email 
$wp_customize->add_setting(
	'luzuk_contactus_emailid',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Email', 'Luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_emailid',
	array(
		'settings'      => 'luzuk_contactus_emailid',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Email Label', 'Luzuk Premium' )
	)
);
lzAddElement($wp_customize, 'luzuk_contactus_email', $section, 'text', $label="Contact Us Email", 'luzuk_sanitize_text', 'contact@example.com');
lzAddElement($wp_customize, 'luzuk_contactus_email1', $section, 'text', $label="Contact Us another Email", 'luzuk_sanitize_text', 'www.yourwebsite.com');




//ADD TEXTAREA BOX FOR SUB TITLE
$wp_customize->add_setting(
	'luzuk_contactus_addrress',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Address', 'Luzuk Premium' ) 
	)
);
$wp_customize->add_control(
	'luzuk_contactus_addrress',
	array(
		'settings'      => 'luzuk_contactus_addrress',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Address Label', 'Luzuk Premium' )
	)
);
lzAddElement($wp_customize, 'luzuk_contactus_address', $section, 'textarea', $label="Address Line One", 'luzuk_sanitize_text', 'Add Contact Address here..');

lzAddElement($wp_customize, 'luzuk_contactus_addressdata1', $section, 'textarea', $label="Address Line Two", 'luzuk_sanitize_text', '');

lzAddElement($wp_customize, 'luzuk_contactus_addressdata2', $section, 'textarea', $label="Address Line Three", 'luzuk_sanitize_text', '');


// contact us Phone 

//Contact Details icon color
//Social Icon color
addColorPalatOption($wp_customize, 'luzuk_contactus_SocialTitleColor', 'luzuk_premium_contactus_section', 'Icon Color', '#54b86b');
addColorPalatOption($wp_customize, 'luzuk_contactus_SocialTitlehoverColor', 'luzuk_premium_contactus_section', 'Icon Hover Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_SocialIconbgssssColor', 'luzuk_premium_contactus_section', 'Icon Background Color', '#f4f4f4');
addColorPalatOption($wp_customize, 'luzuk_contactus_SocialTitlebgsshoverColor', 'luzuk_premium_contactus_section', ' Icon Background Hover Color', '#54b86b');

//Contact Details Title color
addColorPalatOption($wp_customize, 'luzuk_contactus_detailtitleColor', 'luzuk_premium_contactus_section', 'Contact Details Title Color', '#444');
//Contact Details Information color
addColorPalatOption($wp_customize, 'luzuk_contactus_detailinfoColor', 'luzuk_premium_contactus_section', 'Contact Details Information Color', '#444');
//Contact Details Email color
addColorPalatOption($wp_customize, 'luzuk_contactus_detailemailColor', 'luzuk_premium_contactus_section', 'Contact Details Email Color', '#54b86b');

//Contact Details Email hover color
addColorPalatOption($wp_customize, 'luzuk_contactus_detailemailhoverColor', 'luzuk_premium_contactus_section', 'Contact Details Email Hover Color', '#2e2e2e');


addColorPalatOption($wp_customize, 'luzuk_contactus_condetbxbgsscColor', 'luzuk_premium_contactus_section', 'Contact Detail Box Background Color', '#ffffff');
addColorPalatOption($wp_customize, 'luzuk_contactus_condetbxborderColor', 'luzuk_premium_contactus_section', 'Contact Detail Box Border Color', '#54b86b');

lzCustomLable($wp_customize, 'luzuk_contactuspage_left1imagelblbuttonabtdisplay', 'luzuk_premium_contactus_section', 'Left Image:');


      $wp_customize->add_setting(
        'luzuk_contactuspage_image',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'luzuk_contactuspage_image',
            array(
                'section' => 'luzuk_premium_contactus_section',
                'settings' => 'luzuk_contactuspage_image',
                'description' => __('Recommended Image Size: 500X600px', 'lz-fitness-premium')
            )
        )
    );
 
lzAddElement($wp_customize, 'luzuk_contactus_shortcode', $section, 'text', $label="Form Shortcode", 'luzuk_sanitize_text', '[your shortcode]');
 


//Form Background color
addColorPalatOption($wp_customize, 'luzuk_contactus_formbgColor', 'luzuk_premium_contactus_section', 'Form Box Background Color', '#fff');

//Form Label color
addColorPalatOption($wp_customize, 'luzuk_contactus_formlabelColor', 'luzuk_premium_contactus_section', 'Form Label Color', '#000');

//Form text and placeholder color
addColorPalatOption($wp_customize, 'luzuk_contactus_formtextplaceColor', 'luzuk_premium_contactus_section', 'Form Text and Placeholder Color', '#555');

//Form border bottom color
addColorPalatOption($wp_customize, 'luzuk_contactus_formborderbottomColor', 'luzuk_premium_contactus_section', 'Form Fields Background Color', '#fff');
//Form Title color

//Button color
addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnColor', 'luzuk_premium_contactus_section', 'Form Button Text Color', '#fff');
addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnhoverColor', 'luzuk_premium_contactus_section', 'Form Button Text Hover Color', '#48ac6e');

//Button bg color
addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnbgColor', 'luzuk_premium_contactus_section', 'Form Button Background Color', '#fe4c64');
addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnbghoverColor', 'luzuk_premium_contactus_section', 'Form Button Background Hover Color', '#fff');
//Button border color
addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnborderColor', 'luzuk_premium_contactus_section', 'Form Button Border Color', '#fe4c64');
addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnborderhoverColor', 'luzuk_premium_contactus_section', 'Form Button Border hover Color', '#fff');
lzCustomLable($wp_customize, 'contactus_Address_label', 'luzuk_premium_contactus_section', 'Address Map Setting');

$wp_customize->add_setting('luzuk_contactus_iframe_lbl', array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
	new luzuk_Customize_Heading($wp_customize, 'luzuk_contactus_iframe_lbl',
		array(
			'settings'      => 'luzuk_contactus_iframe_lbl',
			'section'       => 'luzuk_premium_contactus_section',
			'label'         => __( 'Location Map', 'Luzuk' ),
		)
	)
);
$wp_customize->add_setting('luzuk_contactus_embade', array(/*'sanitize_callback' => 'esc_url_raw',*/ 'default'=>'Add your map embade code'));
$wp_customize->add_control('luzuk_contactus_embade', array('settings'=>'luzuk_contactus_embade', 'section'=>'luzuk_premium_contactus_section','type'=>'textarea', 'label'=> __('Code for map', 'Luzuk')));
